NingG +

AIX下安装IBM JDK 1.6

背景

安装某个软件,需要JRE 6、JRE 7(推荐),而默认执行java -version查看为JRE 5。思考一下,初步解决思路两个:

检测是否已经安装JRE6

# find / -name java		
...
/usr/java5/bin/java
/usr/java5/jre/bin/java
/usr/java5_64/bin/java
/usr/java5_64/jre/bin/java
/usr/java6/bin/java
/usr/java6/docs/content/apidoc/DTFJ/com/ibm/dtfj/java
/usr/java6/docs/content/apidoc/Security/Certpath/java
/usr/java6/jre/bin/java
/usr/lib/java
...

# find / -name javac
/oracle/product/11.2.0/jdk/bin/javac
/usr/java5/bin/javac
/usr/java5_64/bin/javac
/usr/java6/bin/javac

# /usr/java6/bin/java -version
java version "1.6.0"
Java(TM) SE Runtime Environment (build pap3260sr9fp1-20110208_03(SR9 FP1))
IBM J9 VM (build 2.4, JRE 1.6.0 IBM J9 2.4 AIX ppc-32 jvmap3260sr9-20110203_74623 (JIT enabled, AOT enabled)
J9VM - 20110203_074623
JIT  - r9_20101028_17488ifx3
GC   - 20101027_AA)
JCL  - 20110203_01

从上面可知,系统已经安装了JDK 6,此可以替代JRE 6,具体路径:/usr/java6/

AIX环境下安装IBM JDK 1.6

(doing…)

请参考:AIX环境下安装IBM JDK 1.6

Top